PowerPoint3ParserInternal::SlideContent Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::SlideContent Struct Reference

Internal: a slide of a PowerPoint3Parser. More...

## Public Member Functions
| SlideContent ()
| constructor More...
bool | hasText () const
| return true if the zone has text More...

## Public Attributes
bool | m_useMasterPage
| a flag to know if we need to use the master page More...
int | m_numMainZones
| the number of title/body zones More...
int | m_mainZoneIds [2]
| the title/body position More...
std::vector< TextZone > | m_textZone
| the textzone More...
std::vector< Frame > | m_frameList
| the list of frames More...
std::vector< SlideFormat > | m_formatList
| the format list More...
std::vector< Polygon > | m_polygonList
| the list of polygons More...
int | m_schemeId
| the scheme id More...

## Detailed Description

Internal: a slide of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## § SlideContent()

PowerPoint3ParserInternal::SlideContent::SlideContent | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § hasText()

bool PowerPoint3ParserInternal::SlideContent::hasText | ( |  | ) | const
| inline

return true if the zone has text

Referenced by PowerPoint3Parser::sendSlides().

## Member Data Documentation

## § m_formatList

std::vector<SlideFormat> PowerPoint3ParserInternal::SlideContent::m_formatList

the format list

Referenced by PowerPoint3Parser::readFramesList(), and PowerPoint3Parser::readSlideContent().

## § m_frameList

std::vector<Frame> PowerPoint3ParserInternal::SlideContent::m_frameList

the list of frames

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::sendFrame(), and PowerPoint3Parser::sendSlide().

## § m_mainZoneIds

int PowerPoint3ParserInternal::SlideContent::m_mainZoneIds[2]

the title/body position

Referenced by PowerPoint3Parser::readFramesList(), and PowerPoint3Parser::readSlideContent().

## § m_numMainZones

int PowerPoint3ParserInternal::SlideContent::m_numMainZones

the number of title/body zones

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), and PowerPoint3Parser::sendText().

## § m_polygonList

std::vector<Polygon> PowerPoint3ParserInternal::SlideContent::m_polygonList

the list of polygons

Referenced by PowerPoint3Parser::readSlideContent(), and PowerPoint3Parser::sendFrame().

## § m_schemeId

int PowerPoint3ParserInternal::SlideContent::m_schemeId

the scheme id

Referenced by PowerPoint3Parser::createDocument(), PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), PowerPoint3Parser::readTextZone(), and PowerPoint3Parser::sendText().

## § m_textZone

std::vector<TextZone> PowerPoint3ParserInternal::SlideContent::m_textZone

the textzone

Referenced by PowerPoint3Parser::readTextZone(), and PowerPoint3Parser::sendText().

## § m_useMasterPage

bool PowerPoint3ParserInternal::SlideContent::m_useMasterPage

a flag to know if we need to use the master page

Referenced by PowerPoint3Parser::createDocument(), and PowerPoint3Parser::readSlideContent().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx